Search Texts by Item
http
POST /api/v2/search-report/product/search-textsBase URL: https://seller-analytics-api.wildberries.ru · Module: analytics · Section: Search Queries for Your Items · Specification doc ↗
Forms the top search texts by item. Search text selection parameters:
limit— number of queries, maximum 30. For the **Advanced** and **Premium** Jam rates, the maximum is 100.topOrderBy— method for selecting the top queries The parametersincludeSubstitutedSKUsandincludeSearchTextscannot both be set tofalse.
The report data is updated once every 2 hours.
Request limit per one seller account:
| Type | Period | Limit | Interval | Burst |
|---|---|---|---|---|
| Personal | 1 min | 3 requests | 20 s | 3 requests |
| Service | 1 min | 3 requests | 20 s | 3 requests |
| Base with secret | 1 min | 3 requests | 20 s | 3 requests |
| Base | 1 h | 1 request | 1 h | 1 request |
Request body
application/json — schema ItemSearchTextsRequest, required
currentPeriodPeriod(required)startstring(required) — Start date of the period. No later thanend. No earlier than 365 days from todayendstring(required) — End date of the period. No earlier than 365 days from today
pastPeriodpastPeriodstartstring(required) — Start date of the period. No later thanend. No earlier than 365 days from todayendstring(required) — End date of the period. No later than the day before the start datecurrentPeriod. No earlier than 365 days from today
nmIdsinteger<int64>[](required) — WB item numbers listtopOrderBystring=openCard|addToCart|openToCart|orders|cartToOrder(required) — Filtering by the search queries that brought the most: -openCard— click-throughs -addToCart— adds-to-Cart -openToCart— conversion to cart -orders— items ordered -cartToOrder— conversion to orderincludeSubstitutedSKUsboolean— Show data for direct queries with promo itemsincludeSearchTextsboolean— Show data for search queries without promo itemsorderByOrderByGrTe(required)fieldstring=avgPosition|openCard|addToCart|openToCart|orders|cartToOrder|visibility(required) — Field for sorting: -avgPosition— by average position -addToCart— by adds-to-Cart -openCard— by click-throughs -orders— by number of items ordered -cartToOrder— by conversion to order from search -openToCart— by conversion to cart from search -visibility— by item visibilitymodestring=asc|desc(required) — Order of sorting: -asc— ascending -desc— descending
limitTextLimit(required)- one of:
StandardTariff,AdvancedTariff
- one of:
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | PostV2SearchReportProductSearchTextsResponse200 |
400 | Bad request | ErrorObject400 |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | ErrorObject403 |
429 | Too many requests | object |
Structure 200:
dataItemSearchTextsResponseitemsTableSearchTextItem[]— Table elementstextstring— Search textnmIdinteger<int64>— WB item numbersubjectNamestring— Subcategory namebrandNamestring— BrandvendorCodestring— Seller item numbernamestring— Item nameisCardRatedboolean— If the listing has a ratingratingnumber<float64>— Listing ratingfeedbackRatingnumber<float64>— Feedbacks ratingpriceobject— PriceminPriceinteger<int64>— Minimal seller price with seller discount (excluding WB Club discount)maxPriceinteger<int64>— Maximal seller price with seller discount (excluding WB Club discount)
frequencyobject— Number of the search text requestscurrentinteger<int64>— Current numberdynamicsinteger<int64>— Dynamics compared to the previous period (%)
weekFrequencyinteger<int64>— Number of the search text requests per weekmedianPositionobject— Median position. Only positions from which users added the item to the cart or visited its page are considered. It is the middle value of the position in search results, which excludes significant deviations from the averagecurrentinteger<int64>— Current numberdynamicsinteger<int64>— Dynamics compared to the previous period (%)
avgPositionobject— Average item position in search resultscurrentinteger<int64>— Current average positiondynamicsinteger<int64>— Dynamics compared to the previous period (%)
openCardobject— Number of transitions to the listing from searchcurrentinteger<int64>— Current click-throughsdynamicsinteger<int64>— Dynamics compared to the previous period (%)percentileinteger<int64>— The percentage by which click-throughs is higher than that of other sellers' pages for the search text
addToCartobject— How many times the item from search was added to the cartcurrentinteger<int64>— Current numberdynamicsinteger<int64>— Dynamics compared to the previous period (%)percentileinteger<int64>— The percentage by which adds-to-Cart is higher than that of other sellers' listings for the search text
openToCartobject— Conversion to cart from search — the ratio of item additions to the cart compared to all transitions to the listing from the searchcurrentinteger<int64>— Current conversiondynamicsinteger<int64>— Dynamics compared to the previous period (%)percentileinteger<int64>— The percentage by which conversion to cart is higher than that of other sellers' pages for the search text
ordersobject— Items ordered from searchcurrentinteger<int64>— Current numberdynamicsinteger<int64>— Dynamics compared to the previous period (%)percentileinteger<int64>— The percentage by which the number of orders is higher than that of other sellers' pages for the search text
cartToOrderobject— Conversion to order from search — the ratio of items ordered to all additions of the item from search to the cartcurrentinteger<int64>— Current conversiondynamicsinteger<int64>— Dynamics compared to the previous period (%)percentileinteger<int64>— The percentage by which conversion to order is higher than that of other sellers' pages for the search text
visibilityobject— Item visibility percent in search resultscurrentinteger<int64>— Current percentdynamicsinteger<int64>— Dynamics compared to the previous period (%)
currencyCurrency
Structure 400:
titlestring— Error titledetailstring— Error detailsrequestIdstring— Unique request IDoriginstring— Internal WB service ID
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
titlestring— Error titledetailstring— Error detailsrequestIdstring— Unique request IDoriginstring— Internal WB service ID
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
python
from wb_api_client.analytics import Configuration, ApiClient
from wb_api_client.analytics.api import AnalyticsApi
cfg = Configuration(access_token="<your WB JWT>")
api = AnalyticsApi(ApiClient(cfg))
result = api.post_v2_search_report_product_search_texts(item_search_texts_request=...)
print(result)ts
import {
Configuration,
AnalyticsApi,
} from "@valeryverkhoturov/wb-api-client/analytics";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new AnalyticsApi(cfg);
const { data } = await api.postV2SearchReportProductSearchTexts(itemSearchTextsRequest);
console.log(data);go
import (
"context"
"fmt"
wbanalytics "github.com/ValeryVerkhoturov/wb-api-client-go/analytics"
)
cfg := wbanalytics.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbanalytics.NewAPIClient(cfg)
result, _, err := client.AnalyticsAPI.PostV2SearchReportProductSearchTexts(context.Background()).ItemSearchTextsRequest(itemSearchTextsRequest).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)java
import io.github.valeryverkhoturov.wbapi.analytics.ApiClient;
import io.github.valeryverkhoturov.wbapi.analytics.SecretString;
import io.github.valeryverkhoturov.wbapi.analytics.api.AnalyticsApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
AnalyticsApi api = new AnalyticsApi(client);
System.out.println(api.postV2SearchReportProductSearchTexts(itemSearchTextsRequest));php
use ValeryVerkhoturov\WbApiClient\Analytics\Configuration;
use ValeryVerkhoturov\WbApiClient\Analytics\SecretString;
use ValeryVerkhoturov\WbApiClient\Analytics\Api\AnalyticsApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new AnalyticsApi(new Client(), $config);
print_r($api->postV2SearchReportProductSearchTexts($item_search_texts_request));bsl
#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый AnalyticsApi(Настройки);
Сообщить(Клиент.PostV2SearchReportProductSearchTexts(Тело).Тело);csharp
using ValeryVerkhoturov.WbApiClient.Analytics.Api;
using ValeryVerkhoturov.WbApiClient.Analytics.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new AnalyticsApi(config);
Console.WriteLine(api.PostV2SearchReportProductSearchTexts(itemSearchTextsRequest));rust
use wb_api_client::analytics::apis::{configuration::Configuration, analytics_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = analytics_api::post_v2_search_report_product_search_texts(&cfg, item_search_texts_request).await;
println!("{:#?}", result);
}